Documentation · API reference
GET
/api/v1/sites/{site}/requestsVisitors' requests about their data, newest first
This page as Markdown, or in an AI chatMore ways to read this page
Visitors' requests about their data, newest first.
# Visitors' requests about their data, newest first
> tidekeeper's API reference: https://tidekeeper.eu/docs/api/get-sites-site-requests
`GET /api/v1/sites/{site}/requests`
Visitors' requests about their data, newest first.
## Parameters
- `site` (in path, needed): A site's id or name
## The answer
200, `RequestsView`
- `easy_answer` (string, needed): In easy mode there is nothing to find, and this is why (DS-08).
- `mode` (string, needed): `easy` or `hard`.
- `open` (integer, needed)
- `requests` (list of RequestView, needed)
- `site` (string, needed)
## Asking
```sh
curl https://tidekeeper.eu/api/v1/sites/example.org/requests \
-H "Authorization: Bearer $TIDEKEEPER_TOKEN"
```
Parameters
- sitein the address
- neededA site's id or name
The answer
Status 200
RequestsView
- easy_answer
- stringneededIn easy mode there is nothing to find, and this is why (DS-08).
- mode
- stringneeded`easy` or `hard`.
- open
- integerneeded
- requests
- list of RequestViewneeded
- site
- stringneeded
Asking
curl https://tidekeeper.eu/api/v1/sites/example.org/requests \ -H "Authorization: Bearer $TIDEKEEPER_TOKEN"
const answer = await fetch("https://tidekeeper.eu/api/v1/sites/example.org/requests", { headers: { Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`, }, }).then((r) => r.json());